Bug 45154 - freerdp: Multiple issues (4.2)
freerdp: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 17:14 CEST by Arvid Requate
Modified: 2018-04-18 14:15 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 7.5 (CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-08-07 17:14:28 CEST
Upstream Debian package version 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1 fixes:

* Out-of-bounds write in license_recv() (CVE-2017-2834)
* Out-of-bounds write in rdp_recv_tpkt_pdu (CVE-2017-2835)
* Rdp Client Read Server Proprietary Certificate Denial of Service (CVE-2017-2836)
* Rdp Client GCC Read Server Security Data Denial of Service (CVE-2017-2837)
* Rdp Client License Read Product Info Denial of Service (CVE-2017-2838)
* Rdp Client License Read Challenge Packet Denial of Service (CVE-2017-2839)
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:24 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Arvid Requate univentionstaff 2018-04-12 19:09:14 CEST
Verified:
* Upstream binary imported into errata4.2-3
* No additional UCS patches in 4.2
* Package is installable.
* Advisory: Ok
Comment 3 Arvid Requate univentionstaff 2018-04-18 14:15:54 CEST
<http://errata.software-univention.de/ucs/4.2/331.html>